Generation Framework

## org.eclipse.gmf.codegen.gmfgen
Interface TypeLinkModelFacet

All Superinterfaces:
  EObject, LinkModelFacet, ModelFacet, Notifier, TypeModelFacet

All Known Implementing Classes:
  TypeLinkModelFacetImpl

public interface TypeLinkModelFacet
extends TypeModelFacet, LinkModelFacet

A representation of the model object 'Type Link Model Facet'. Model facet of an EClass that associates two EClasses

The following features are supported:

- `Source Meta Feature`
- `Target Meta Feature`

See Also:
  `GMFGenPackage.getTypeLinkModelFacet()`
** Generated **
Model:
  annotation="http://www.eclipse.org/gmf/2005/constraints ocl='not containmentMetaFeature.oclIsUndefined()' description='Link \'Containment Meta Feature\' must be specified'"

Method Summary
`GenFeature` `getSourceMetaFeature()` Returns the value of the 'Source Meta Feature' reference
`GenFeature` `getTargetMetaFeature()` Returns the value of the 'Target Meta Feature' reference
`void` `setSourceMetaFeature(GenFeature value)` Sets the value of the '`Source Meta Feature`' reference
`void` `setTargetMetaFeature(GenFeature value)` Sets the value of the '`Target Meta Feature`' reference

Methods inherited from interface org.eclipse.gmf.codegen.gmfgen.TypeModelFacet
`getChildMetaFeature, getContainmentMetaFeature, getMetaClass, getModelElementInitializer, getModelElementSelector, isPhantomElement, setChildMetaFeature, setContainmentMetaFeature, setMetaClass, setModelElementInitializer, setModelElementSelector`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.gmf.codegen.gmfgen.LinkModelFacet
`getSourceTypes, getTargetTypes`

Method Detail

### getSourceMetaFeature

    public GenFeature getSourceMetaFeature()

  Returns the value of the 'Source Meta Feature' reference.

  If the meaning of the 'Source Meta Feature' reference isn't clear, there really should be more of a description here...

  If source feature is not specified then link container is a link source

  Returns:
    the value of the 'Source Meta Feature' reference.
  See Also:
    `TypeLinkModelFacet.setSourceMetaFeature(GenFeature)`, `GMFGenPackage.getTypeLinkModelFacet_SourceMetaFeature()`
  ** Generated **
  Model:
    annotation="http://www.eclipse.org/gmf/2005/constraints ocl='not sourceMetaFeature.oclIsUndefined() implies sourceMetaFeature.genClass.ecoreClass.isSuperTypeOf(metaClass.ecoreClass)' description='Link \'Source Meta Feature\' must be owned by link \'Meta Class\' or its super-class'"

### setSourceMetaFeature

    public void setSourceMetaFeature(GenFeature value)

  Sets the value of the '`Source Meta Feature`' reference.

  Parameters:
    `value` - the new value of the 'Source Meta Feature' reference.
  See Also:
    `TypeLinkModelFacet.getSourceMetaFeature()`
  ** Generated **

### getTargetMetaFeature

    public GenFeature getTargetMetaFeature()

  Returns the value of the 'Target Meta Feature' reference.

  If the meaning of the 'Target Meta Feature' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Target Meta Feature' reference.
  See Also:
    `TypeLinkModelFacet.setTargetMetaFeature(GenFeature)`, `GMFGenPackage.getTypeLinkModelFacet_TargetMetaFeature()`
  ** Generated **
  Model:
    required="true" annotation="http://www.eclipse.org/gmf/2005/constraints ocl='not targetMetaFeature.oclIsUndefined() implies targetMetaFeature.genClass.ecoreClass.isSuperTypeOf(metaClass.ecoreClass)' description='Link \'Target Meta Feature\' must be owned by link \'Meta Class\' or its super-class'"

### setTargetMetaFeature

    public void setTargetMetaFeature(GenFeature value)

  Sets the value of the '`Target Meta Feature`' reference.

  Parameters:
    `value` - the new value of the 'Target Meta Feature' reference.
  See Also:
    `TypeLinkModelFacet.getTargetMetaFeature()`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.